FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Callback_User_Data Class Reference

A class prototype that allows for additional data in callbacks. More...

`#include <Fl_Widget.H>`

## Public Member Functions
virtual | ~Fl_Callback_User_Data ()
| Destructor.

## Protected Member Functions
| Fl_Callback_User_Data ()
| Protected constructor.

## Detailed Description

A class prototype that allows for additional data in callbacks.

Users can derive this class and pass objects of such derived classes to widget callbacks. Widgets can take ownership of the callback data, deleting the data when the widget itself is deleted.

The destructor of this class is virtual, allowing for additional code to deallocate resources when the user data is deleted.

See also
  FL_FUNCTION_CALLBACK_3, FL_METHOD_CALLBACK_1, FL_INLINE_CALLBACK_2
  Fl_Widget::callback(Fl_Callback*, Fl_Callback_User_Data*, bool)
  Fl_Widget::user_data(Fl_Callback_User_Data*, bool)

The documentation for this class was generated from the following file:

- Fl_Widget.H